import {
  snGenerationMethodList,
  serialNumberTypeList,
  serialNumberPositionList,
  pinyinPositionList,
} from '@/views/book/courseware/data/common';

export function getStemProperty() {
  return {
    serial_number: 1, // 序号
    sn_type: serialNumberTypeList[0].value, // 序号类型：letter字母 number数字  capital大写字母 bracket_number括号数字
    sn_position: serialNumberPositionList[0].value, // 序号位置：top-start top top-end，left-start left left-end等
    sn_generation_method: snGenerationMethodList[0].value, // 序号生成方式：recalculate重新计算 follow 跟随
    // 序号样式 solidBlockStyle实心方块 solidCircleStyle实心圆 hollowBlockStyle空心方块 hollowCircleStyle空心圆 defaultStyle默认无
    sn_style: 'solidBlockStyle',
    sn_background_color: '#ea3232', // 序号背景色
    view_pinyin: 'true', // 显示拼音
    pinyin_position: pinyinPositionList[0].value, // top bottom
    is_first_sentence_first_hz_pinyin_first_char_upper_case: 'false', // 句首大写
  };
}

export function getStemData() {
  return {
    type: 'stem',
    title: '题干',
    content: '',
    paragraph_list: [],
    paragraph_list_parameter: {
      text: '',
      is_first_sentence_first_hz_pinyin_first_char_upper_case: 'false',
      pinyin_proofread_word_list: [],
    },
    property: getStemProperty(),
  };
}
